<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_PurchasesOfElectricityNaturalGasAndContractServices" xlink:label="uabepsog_PurchasesOfElectricityNaturalGasAndContractServices" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_ImpactOfTheChangeOfNaturalGasReserves" xlink:label="uabepsog_ImpactOfTheChangeOfNaturalGasReserves" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_PurchaseOfContractingServices" xlink:label="uabepsog_PurchaseOfContractingServices" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_EBITDA" xlink:label="uabepsog_EBITDA" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_OperatingProfitLossEBIT" xlink:label="uabepsog_OperatingProfitLossEBIT" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_TransferToFromReserves" xlink:label="uabepsog_TransferToFromReserves" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_ImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries" xlink:label="uabepsog_ImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_IncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets" xlink:label="uabepsog_IncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_IncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived" xlink:label="uabepsog_IncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_CongestionManagementFundsReceivedClassifiedAsInvestingActivities" xlink:label="uabepsog_CongestionManagementFundsReceivedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_AcquisitionOfShortTermFinancialInvestments" xlink:label="uabepsog_AcquisitionOfShortTermFinancialInvestments" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_RepaymentOfShortTermFinancialInvestments" xlink:label="uabepsog_RepaymentOfShortTermFinancialInvestments" />
    <loc xlink:type="locator" xlink:href="uabepsog-2024-12-31.xsd#uabepsog_Overdraft" xlink:label="uabepsog_Overdraft" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_PurchasesOfElectricityNaturalGasAndContractServices" xlink:to="label_uabepsog_uabepsogPurchasesOfElectricityNaturalGasAndContractServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_ImpactOfTheChangeOfNaturalGasReserves" xlink:to="label_uabepsog_uabepsogImpactOfTheChangeOfNaturalGasReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_PurchaseOfContractingServices" xlink:to="label_uabepsog_uabepsogPurchaseOfContractingServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_EBITDA" xlink:to="label_uabepsog_uabepsogEBITDA_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_OperatingProfitLossEBIT" xlink:to="label_uabepsog_uabepsogOperatingProfitLossEBIT_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_TransferToFromReserves" xlink:to="label_uabepsog_uabepsogTransferToFromReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_ImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries" xlink:to="label_uabepsog_uabepsogImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_IncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets" xlink:to="label_uabepsog_uabepsogIncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_IncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived" xlink:to="label_uabepsog_uabepsogIncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_CongestionManagementFundsReceivedClassifiedAsInvestingActivities" xlink:to="label_uabepsog_uabepsogCongestionManagementFundsReceivedClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_AcquisitionOfShortTermFinancialInvestments" xlink:to="label_uabepsog_uabepsogAcquisitionOfShortTermFinancialInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_RepaymentOfShortTermFinancialInvestments" xlink:to="label_uabepsog_uabepsogRepaymentOfShortTermFinancialInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="uabepsog_Overdraft" xlink:to="label_uabepsog_uabepsogOverdraft_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_uabepsog_uabepsogPurchasesOfElectricityNaturalGasAndContractServices_Standard" id="uabepsog_uabepsogPurchasesOfElectricityNaturalGasAndContractServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchases of electricity, natural gas and contract services </label>
    <label xlink:label="label_uabepsog_uabepsogImpactOfTheChangeOfNaturalGasReserves_Standard" id="uabepsog_uabepsogImpactOfTheChangeOfNaturalGasReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impact of the change of natural gas reserves</label>
    <label xlink:label="label_uabepsog_uabepsogPurchaseOfContractingServices_Standard" id="uabepsog_uabepsogPurchaseOfContractingServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of contracting services</label>
    <label xlink:label="label_uabepsog_uabepsogEBITDA_Standard" id="uabepsog_uabepsogEBITDA_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">EBITDA</label>
    <label xlink:label="label_uabepsog_uabepsogOperatingProfitLossEBIT_Standard" id="uabepsog_uabepsogOperatingProfitLossEBIT_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit (loss) (EBIT)</label>
    <label xlink:label="label_uabepsog_uabepsogTransferToFromReserves_Standard" id="uabepsog_uabepsogTransferToFromReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer to / from reserves</label>
    <label xlink:label="label_uabepsog_uabepsogImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries_Standard" id="uabepsog_uabepsogImpairmentReversalOfImpairmentOfInvestmentsInSubsidiaries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impairment (reversal of impairment) of investments in subsidiaries</label>
    <label xlink:label="label_uabepsog_uabepsogIncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets_Standard" id="uabepsog_uabepsogIncreaseDecreaseInInventoriesPrepaymentsAndOtherCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase)/decrease in inventories, prepayments and other current assets</label>
    <label xlink:label="label_uabepsog_uabepsogIncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived_Standard" id="uabepsog_uabepsogIncreaseDecreaseInTradeAndOtherPayablesGrantsDeferredIncomeAndPrepaymentsReceived_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (decrease) in trade and other payables, grants, deferred income and prepayments received</label>
    <label xlink:label="label_uabepsog_uabepsogCongestionManagementFundsReceivedClassifiedAsInvestingActivities_Standard" id="uabepsog_uabepsogCongestionManagementFundsReceivedClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Congestion management funds received</label>
    <label xlink:label="label_uabepsog_uabepsogAcquisitionOfShortTermFinancialInvestments_Standard" id="uabepsog_uabepsogAcquisitionOfShortTermFinancialInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of short-term financial investments </label>
    <label xlink:label="label_uabepsog_uabepsogRepaymentOfShortTermFinancialInvestments_Standard" id="uabepsog_uabepsogRepaymentOfShortTermFinancialInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Repayment of short-term financial investments </label>
    <label xlink:label="label_uabepsog_uabepsogOverdraft_Standard" id="uabepsog_uabepsogOverdraft_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Overdraft</label>
  </labelLink>
</linkbase>